<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/rootView"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/common_bkg"
    android:orientation="vertical">

    <include layout="@layout/include_device_title" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center_horizontal"
        android:orientation="horizontal">

        <LinearLayout
            android:layout_width="@dimen/dp_175"
            android:layout_height="@dimen/dp_175"
            android:layout_gravity="center"
            android:background="@drawable/bg_stroke_layout_gray_circle_1"
            android:gravity="center"
            android:padding="@dimen/dp_5">

            <ImageView
                android:id="@+id/deviceLogoView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="2"
            android:gravity="center"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="@dimen/dp_20"
                android:background="@drawable/bg_solid_layout_white_radius_10"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingHorizontal="@dimen/dp_10"
                android:paddingVertical="@dimen/dp_15">

                <LinearLayout
                    android:id="@+id/importWaterLayout"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="进水水温"
                        android:textColor="@color/hintTextColor"
                        android:textSize="@dimen/sp_12" />

                    <TextView
                        android:id="@+id/importWaterTempView"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_5"
                        android:text="@string/unknown"
                        android:textColor="@color/mainTextColor"
                        android:textSize="@dimen/sp_16" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="目标水温温度"
                        android:textColor="@color/hintTextColor"
                        android:textSize="@dimen/sp_12" />

                    <TextView
                        android:id="@+id/targetWaterTempView"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_5"
                        android:text="@string/unknown"
                        android:textColor="@color/mainTextColor"
                        android:textSize="@dimen/sp_16" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="出水量"
                        android:textColor="@color/hintTextColor"
                        android:textSize="@dimen/sp_12" />

                    <TextView
                        android:id="@+id/outputWaterView"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_5"
                        android:text="@string/unknown"
                        android:textColor="@color/mainTextColor"
                        android:textSize="@dimen/sp_16" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="水温模式"
                        android:textColor="@color/hintTextColor"
                        android:textSize="@dimen/sp_12" />

                    <TextView
                        android:id="@+id/waterModeView"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_5"
                        android:text="@string/unknown"
                        android:textColor="@color/mainTextColor"
                        android:textSize="@dimen/sp_16" />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/dp_20"
                android:background="@drawable/bg_solid_layout_white_radius_10"
                android:gravity="center_vertical"
                android:orientation="vertical"
                android:paddingHorizontal="@dimen/dp_10"
                android:paddingVertical="@dimen/dp_15">

                <RadioGroup
                    android:id="@+id/modeRadioGroup"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:orientation="horizontal">

                    <RadioButton
                        android:id="@+id/normalRadioButton"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:button="@null"
                        android:drawableTop="@drawable/selector_water_dispenser_normal"
                        android:drawablePadding="@dimen/dp_5"
                        android:gravity="center"
                        android:text="常温"
                        android:textSize="@dimen/sp_16" />

                    <RadioButton
                        android:id="@+id/milkRadioButton"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:button="@null"
                        android:drawableTop="@drawable/selector_water_dispenser_milk"
                        android:drawablePadding="@dimen/dp_5"
                        android:gravity="center"
                        android:text="冲牛奶"
                        android:textSize="@dimen/sp_16" />

                    <RadioButton
                        android:id="@+id/coffeeRadioButton"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:button="@null"
                        android:drawableTop="@drawable/selector_water_dispenser_coffee"
                        android:drawablePadding="@dimen/dp_5"
                        android:gravity="center"
                        android:text="冲咖啡"
                        android:textSize="@dimen/sp_16" />

                    <RadioButton
                        android:id="@+id/boiledRadioButton"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:button="@null"
                        android:drawableTop="@drawable/selector_water_dispenser_boiled"
                        android:drawablePadding="@dimen/dp_5"
                        android:gravity="center"
                        android:text="开水"
                        android:textSize="@dimen/sp_16" />

                    <RadioButton
                        android:id="@+id/customRadioButton"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:button="@null"
                        android:drawableTop="@drawable/selector_water_dispenser_custom"
                        android:drawablePadding="@dimen/dp_5"
                        android:gravity="center"
                        android:text="自定义"
                        android:textSize="@dimen/sp_16" />
                </RadioGroup>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="@dimen/dp_20"
                android:layout_marginBottom="@dimen/dp_10"
                android:background="@drawable/bg_solid_layout_white_radius_10"
                android:paddingHorizontal="@dimen/dp_10"
                android:paddingVertical="@dimen/dp_15">

                <CheckBox
                    android:id="@+id/childCheckBox"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:button="@null"
                    android:drawableTop="@drawable/selector_water_dispenser_child"
                    android:drawablePadding="@dimen/dp_5"
                    android:gravity="center"
                    android:text="童锁"
                    android:textSize="@dimen/sp_16" />

                <CheckBox
                    android:id="@+id/switchCheckBox"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:button="@null"
                    android:drawableTop="@drawable/selector_water_dispenser_switch"
                    android:drawablePadding="@dimen/dp_5"
                    android:enabled="false"
                    android:gravity="center"
                    android:text="出水开关"
                    android:textSize="@dimen/sp_16" />

                <CheckBox
                    android:id="@+id/settingsCheckBox"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:button="@null"
                    android:checked="true"
                    android:drawableTop="@drawable/selector_water_dispenser_settings"
                    android:drawablePadding="@dimen/dp_5"
                    android:gravity="center"
                    android:text="设置"
                    android:textSize="@dimen/sp_16" />
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>
</LinearLayout>